# Uses of Interface
org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration

Packages that use CDONet4jSessionConfiguration
Package
Description
org.eclipse.emf.cdo.admin
Client side of the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.

## Uses of CDONet4jSessionConfiguration in org.eclipse.emf.cdo.admin

Methods in org.eclipse.emf.cdo.admin with parameters of type CDONet4jSessionConfiguration
Modifier and Type
Method
Description
`void`
CDOAdminClientRepository.SessionConfigurator.`prepare(CDONet4jSessionConfiguration configuration)`

## Uses of CDONet4jSessionConfiguration in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDONet4jSessionConfiguration
Modifier and Type
Method
Description
`protected CDONet4jSessionConfiguration`
AbstractLifecycleManager.`createSessionConfiguration(String repositoryName)`

## Uses of CDONet4jSessionConfiguration in org.eclipse.emf.cdo.net4j

Subinterfaces of CDONet4jSessionConfiguration in org.eclipse.emf.cdo.net4j
Modifier and Type
Interface
Description
`interface`
`CDOSessionConfiguration`
Deprecated.
Use `CDONet4jSessionConfiguration`.
`interface`
`FailoverCDOSessionConfiguration`
A `session configuration` that recovers from network problems by failing over to backup repositories as directed by a fail-over monitor.
`interface`
`ReconnectingCDOSessionConfiguration`
A `session configuration` that recovers from network problems by attempting to reconnect to the same repository in specific intervals.
`interface`
`RecoveringCDOSessionConfiguration`
A `session configuration` that uses a `heart beat protocol` to detect network problems.
Methods in org.eclipse.emf.cdo.net4j that return CDONet4jSessionConfiguration
Modifier and Type
Method
Description
`static CDONet4jSessionConfiguration`
CDONet4jUtil.`createNet4jSessionConfiguration()`
`protected CDONet4jSessionConfiguration`
CDONet4jViewProvider.`getNet4jSessionConfiguration(org.eclipse.net4j.connector.IConnector connector, String userName, String passWord, String repositoryName)`

## Uses of CDONet4jSessionConfiguration in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded that return CDONet4jSessionConfiguration
Modifier and Type
Method
Description
`CDONet4jSessionConfiguration`
CDOEmbeddedRepositoryConfig.`createSessionConfiguration(org.eclipse.net4j.connector.IConnector connector, CDOBranchManager branchManager, CDORevisionManager revisionManager)`
Subclasses may override.